## org.eclipse.datatools.enablement.postgresql.catalog.loaders
Class PostgresAuthorizationIdentifierLoader

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
          org.eclipse.datatools.enablement.postgresql.catalog.loaders.PostgresAuthorizationIdentifierLoader

    public class PostgresAuthorizationIdentifierLoader

extends JDBCBaseLoader

This class adds the ability to retrieve a list of authorization identifiers from a PostgreSQL database.

Author:
  pierre.queinnec@zenika.com

Constructor Summary
`PostgresAuthorizationIdentifierLoader()`
`PostgresAuthorizationIdentifierLoader(ICatalogObject catalogObject)`
`PostgresAuthorizationIdentifierLoader(ICatalogObject catalogObject, IConnectionFilterProvider connectionFilterProvider)`

Method Summary
`void` `clearAuthorizationIdentifiers(java.util.List existingAuthorizationIds)`
`void` `loadAuthorizationIdentifiers(java.util.List containmentList, java.util.List existingAuthorizationIds)`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
`getCatalogObject, setCatalogObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PostgresAuthorizationIdentifierLoader

    public PostgresAuthorizationIdentifierLoader()

### PostgresAuthorizationIdentifierLoader

    public PostgresAuthorizationIdentifierLoader(ICatalogObject catalogObject)

### PostgresAuthorizationIdentifierLoader

    public PostgresAuthorizationIdentifierLoader(ICatalogObject catalogObject,
                                                 IConnectionFilterProvider connectionFilterProvider)

Parameters:
  `catalogObject` -
  `connectionFilterProvider` -

Method Detail

### clearAuthorizationIdentifiers

    public void clearAuthorizationIdentifiers(java.util.List existingAuthorizationIds)

### loadAuthorizationIdentifiers

    public void loadAuthorizationIdentifiers(java.util.List containmentList,
                                             java.util.List existingAuthorizationIds)
                                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`